
#ifndef PLS_SPLIT_INTEGER_H_
#define PLS_SPLIT_INTEGER_H_

#include "pls/internal/base/system_details.h"

namespace pls {
namespace internal {
namespace helpers {

template<int L, int R>
struct split_integer {
  unsigned long left:L;
  unsigned long right:R;

  split_integer() : left{0}, right{0} {};
  split_integer(unsigned long new_left, unsigned long new_right) : left{new_left}, right{new_right} {};
};

}
}
}

#endif //PLS_SPLIT_CAS_INTEGER_H_
